=== qt/CMakeLists.txt ===
set(BIN_NAME qtdtkdisplay)
set(SECURITY_INCLUDE ${CMAKE_SOURCE_DIR}/include/qt/wmjack)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${SECURITY_INCLUDE})
include_directories(${COMMON_PATH})

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5Core)

set(SCREEN_LIB_SRCS
    wmjack/dwmjack.cpp
    wmjack/dwmjack_p.h
    ${SECURITY_INCLUDE}/dwmjack.h
    )

set(SCREEN_LIB_HEADERS
    ${SECURITY_INCLUDE}/dwmjack.h
    )

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(../include/wmjack/)

file(GLOB_RECURSE SRCS "../include/wmjack/dtk_wmjack.h")

add_library(${BIN_NAME} SHARED ${SCREEN_LIB_SRCS} ${SCREEN_LIB_HEADERS} ${SRCS})

target_link_libraries(${BIN_NAME} PUBLIC Qt5::Core  dtkwmjack)

set_target_properties(${BIN_NAME} PROPERTIES
    VERSION ${CMAKE_PROJECT_VERSION}
    SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR})

target_compile_definitions(${BIN_NAME} PRIVATE VERSION="${CMAKE_PROJECT_VERSION}")

install(FILES ${SCREEN_LIB_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${BIN_NAME})
install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})
