=== example/ace_test/CMakeLists.txt ===
# Copyright (C) 2020 Uniontech Technology Co., Ltd.
#
# Author:     xinbo wang <wangxinbo@uniontech.com>
#
# Maintainer: xinbo wang <wangxinbo@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(BIN_NAME control-client)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(../../include/clipboard-ace/)

file(GLOB_RECURSE SRCS
    "../include/clipboard-ace/dnd_security.h"
    main.c
    ${CMAKE_CURRENT_BINARY_DIR}/wayland-dde-security-client-protocol.h
)


find_package(dtkclipboardace REQUIRED)

add_executable(${BIN_NAME} ${SRCS})

target_link_libraries(${BIN_NAME} PRIVATE dtkclipboardace dtkwmjack)
