=== debian/changelog ===
displayjack (2.1.197) unstable; urgency=medium

  * Bug fix:
    + 295627 fix: displaying watermarks on the lock screen

 -- rewine <luhongxu@uniontech.com>  Fri, 27 Dec 2024 13:28:24 +0800

displayjack (2.1.196) unstable; urgency=medium

  * Bug fix:
    + 274755 fix: compile error

 -- guoyao <guoyao@uniontech.com>  Thu, 26 Dec 2024 10:07:32 +0800

displayjack (2.1.195) unstable; urgency=medium

  * Bug fix:
    + 288297 fix: change user login don't display watermark.

 -- xinbo wang <wangxinbo@uniontech.com>  Mon, 2 Dec 2024 13:41:51 +0800

displayjack (2.1.194) unstable; urgency=medium

  * Bug fix:
    + 284587 fix: use wl_display_roundtrip in init function

 -- huangzeming <huangzeming@uniontech.com>  Wed, 27 Nov 2024 15:24:42 +0800

displayjack (2.1.193) unstable; urgency=medium

  * Bug fix:
    + 288297 fix: shutdown don't display watermark.

 -- xinbo wang <wangxinbo@uniontech.com>  Tue, 26 Nov 2024 10:10:31 +0800

displayjack (2.1.192) unstable; urgency=medium

  * Bug fix:
    + 276239 fix: A large number of invalid formats cause WPS to freeze

 -- yangtian <yangtian@uniontech.com>  Wed, 30 Oct 2024 15:54:41 +0800

displayjack (2.1.191) unstable; urgency=medium

  * Bug fix:
    + 275697 fix: add judgment of end chars.

 -- huangzeming <huangzeming@uniontech.com>  Sat, 12 Oct 2024 16:33:29 +0800

displayjack (2.1.190) unstable; urgency=medium

  * Bug fix:
    + 253143 fix: Fix the issue of ineffective quick and multiple copies of the clipboard

 -- dingzhixuan <dingzhixuan@uniontech.com>  Tue, 13 Aug 2024 16:49:15 +0800

displayjack (2.1.141) unstable; urgency=medium

  * Bug fix:
    + 262059 fix: the ctrl+c copy failure problem occurs with high probability in text editors

 -- yangtian <yangtian@uniontech.com>  Fri, 09 Aug 2024 10:40:00 +0800

displayjack (2.1.140) unstable; urgency=medium

  * Bug fix:
    + 259847 fix: Filter deeply convinced copy fields
    + 262239 fix: Fix the issue of w525 not being able to copy files

 -- yangtian <yangtian@uniontech.com>  Thu, 11 Jul 2024 14:17:34 +0800

displayjack (2.1.139) unstable; urgency=medium

  * Bug fix:
    + 261189 fix: dtk call get_window_position cause crash
    + 256241 fix: watermark dconfig is invalid

 -- yangtian <yangtian@uniontech.com>  Wed, 26 Jun 2024 13:06:02 +0800

displayjack (2.1.138) unstable; urgency=medium

  * Task:
    + 33135 feat: add icbc prohibitscreenshot
  * Bug fix:
    + 251711 fix: pgx in installation stage, choose opengl as the preferred target.

 -- huangzeming <huangzeming@uniontech.com>  Thu, 20 Jun 2024 20:55:41 +0800

displayjack (2.1.137) unstable; urgency=medium

  * Bug fix:
    + 331101 fix: modify bool to int

 -- dingzhixuan <dingzhixuan@uniontech.com>  Fri, 10 May 2024 15:59:30 +0800

displayjack (2.1.136) unstable; urgency=medium

  * Task:
    + 331101 feat: add kvm interface
  * Bug fix:
    + 252091 fix: copying big data clipboard does not generate records

 -- dingzhixuan <dingzhixuan@uniontech.com>  Thu, 09 May 2024 17:30:34 +0800

displayjack (2.1.36) unstable; urgency=medium

  * Bug fix:
    +   fix: Fix qq can not copy text issue

 -- huangzeming <huangzeming@uniontech.com>  Fri, 12 Apr 2024 16:56:41 +0800

displayjack (2.1.35) unstable; urgency=medium

  * Bug fix:
    +   fix: the problem that the clipboard has no selected content after selecting the terminal

 -- wangboyu <wangboyu@uniontech.com>  Mon, 08 Apr 2024 20:17:49 +0800

displayjack (2.1.34) unstable; urgency=medium

  * Bug fix:
    +   fix: Fix the issue of inability to copy after terminal selection

 -- wangboyu <wangboyu@uniontech.com>  Tue, 02 Apr 2024 17:58:49 +0800

displayjack (2.1.33) unstable; urgency=medium

  * Bug fix:
    +   fix: Modify After deleting the top data, copy the top data to the front end of the clipboard
    +   feat: add x11 clipboard

 -- wangboyu <wangboyu@uniontech.com>  Fri, 29 Mar 2024 18:20:49 +0800

displayjack (2.1.32) unstable; urgency=medium

  * Bug fix:
    +  fix: Fixed the logic of deleting top data and placing top second data

 -- wangboyu <wangboyu@uniontech.com>  Tue, 26 Mar 2024 16:53:49 +0800

displayjack (2.1.31) unstable; urgency=medium

  * Bug fix:
    +  feat: add wayland clipboard 

 -- wangboyu <wangboyu@uniontech.com>  Mon, 25 Mar 2024 17:02:49 +0800

displayjack (2.1.30) unstable; urgency=medium

  * Bug fix:
    + fix: slowly respond in GetAllWindowStatesList

 -- huangzeming <huangzeming@uniontech.com>  Wed, 06 Mar 2024 15:57:49 +0800

displayjack (2.1.29) unstable; urgency=medium

  * Task:
    + 316877 
  * Bug fix:
    + fix: remove screensaver detect form watermark

 -- dingzhixuan <dingzhixuan@uniontech.com>  Thu, 22 Feb 2024 17:12:34 +0800

displayjack (2.1.28) unstable; urgency=medium

  * Bug fix:
    + fix: add uos wechat in prohibit screenshot.

 -- huangzeming <huangzeming@uniontech.com>  Wed, 31 Jan 2024 17:12:04 +0800

displayjack (2.1.27) unstable; urgency=medium

  * Bug fix:
   + fix: block in function destroy_wayland_client

 -- wangboyu <wangboyu@uniontech.com>  Fri, 26 Jan 2024 18:12:05 +0800

displayjack (2.1.26) unstable; urgency=medium

  * Bug fix:
   + feat: add video-blacklist configuration

 -- wangboyu <wangboyu@uniontech.com>  Sun, 21 Jan 2024 21:22:05 +0800

displayjack (2.1.25) unstable; urgency=medium

  * Bug fix:
   + 316511 fix: change parameters of GetAllWindowStatesList

 -- huangzeming <huangzeming@uniontech.com>  Thu, 11 Jan 2024 17:14:05 +0800

displayjack (2.1.24) unstable; urgency=medium

  * Bug fix:
    + 231439 fix: coredump in destroy function of clipboard-ace
    + 238789 fix: correct model string of zhaoxin GPU

 -- huangzeming <huangzeming@uniontech.com>  Tue, 09 Jan 2024 16:26:51 +0800

displayjack (2.1.23) unstable; urgency=medium

  * Task:
    + 315387 feat: take zhaoxin into account in GetDevicePerformanceLevel

 -- huangzeming <huangzeming@uniontech.com>  Fri, 05 Jan 2024 18:55:25 +0800

displayjack (2.1.22) unstable; urgency=medium

  * Bug fix:
    + Bug fix:


