=== debian/control ===
Source: displayjack
Section: libdevel
Priority: optional
Maintainer: Packages Builder <packages@deepin.com>
Build-Depends: debhelper-compat (= 12),
               cmake,
               extra-cmake-modules,
               libwayland-dev,
               pkg-config,
               xserver-xorg-core (>= 2:1.20.4.32),
               xserver-xorg-dev (>= 2:1.20.4.32),
               libx11-xcb-dev,
               libxcomposite-dev,
               libpolkit-gobject-1-dev,
               libdbus-glib-1-dev,
               libpolkit-qt5-1-dev,
               libkf5wayland-dev,
               libgtest-dev,
               libgmock-dev,
               qtbase5-dev,
               qtbase5-private-dev,
               libqt5x11extras5-dev,
               libxext-dev,
               doxygen,
               libsm-dev,
               libxcb1-dev (>= 1.10~),
               libxcb-xfixes0-dev (>= 1.10~),
               libxcb-util0-dev,
               libssl-dev
Standards-Version: 4.5.0

Package: libdisplayjack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Replaces:
 deepin-watermark,
 libdtkdisplay,
 xserver-xorg-core,
Conflicts:
 deepin-watermark,
 libdtkdisplay,
Provides:
 deepin-watermark,
 libdtkdisplay,
Description: Deepin Tool Kit display library
 libdisplayjack is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdisplayjack-dev
Architecture: any
Depends:${misc:Depends}, libdisplayjack( =${binary:Version})
Description: Deepin Tool Kit display devel library
 libdisplayjack-dev is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries.
