=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

# override_dh_auto_configure:
#	dh_auto_configure -- -DVERSION=$(DEB_VERSION_UPSTREAM)

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF
